#include <OneWire.h>
#include <DallasTemperature.h>
 
// DS18B20 wird am Pin 10 angeschlossen, Widerstand nicht vergessen.
#define ONE_WIRE_BUS 10
 
// Initialisieren der OneWire Bibliothek 
OneWire oneWire(ONE_WIRE_BUS);
 
// Die Dallas Temperatursensor Bibliothek mit der OneWire Bibliothek verknüpfen
DallasTemperature sensors(&oneWire);
 
void setup(void) {
  Serial.begin(9600);
  Serial.println("Dallas Temperature IC Control Library Demo");

  // Start up the library
  sensors.begin();
}
 
 
void loop(void) {
  // mit requestTemperatures werden alle angeschlossenen Temperatursensoren
  // angesprochen und die Konvertierung gestartet
  Serial.print(" Requesting temperatures...");
  sensors.requestTemperatures();
  Serial.println("DONE");

  // jetzt wird die Temperatur des 1. Sensors geholt  
  Serial.print("Temperature for Device 1 is: ");
  Serial.print(sensors.getTempCByIndex(0));   
}


