#include <Wire.h>
// Adresse des Sensors. 01001### ist die Basisadresse,
// ### werden durch die Eingänge A0..2 bestimmt.
#define TEMP_DEVICE 0b01001000

void setup() {
  Serial.begin(9600);

  Wire.begin();
  Wire.beginTransmission(TEMP_DEVICE);
  // Kommando Konfiguration
  Wire.write(0xAC);
  // durchlaufende Messung
  Wire.write(0x02);
  // Neustart
  Wire.beginTransmission(TEMP_DEVICE);
  // Kommando Konvertierung starten
  Wire.write(0xEE);                            
  Wire.endTransmission();
}


void loop() {
  byte firstByte, secondByte;
  float temp = 0;

  Wire.beginTransmission(TEMP_DEVICE);
  // Kommando Temperatur lesen
  Wire.write(0xAA);
  Wire.endTransmission();

  // Werte abholen
  Wire.requestFrom(TEMP_DEVICE, 2);
  firstByte = Wire.read();
  secondByte = Wire.read();
  temp = firstByte;
  // wenn das 2 Byte >0 ist, dann müssen 0,5° addiert werden
  if (secondByte) {
    temp += 0.5;
  }

  // ausgeben
  Serial.print("Temp: ");
  Serial.print(temp);
  Serial.println("°C");
  delay(1000);
}

