#include <Wire.h>
#include <I2Cdev.h>
#include <MPU6050.h>

MPU6050 mpu6050 (MPU6050_ADDRESS_AD0_LOW);

void setup() {
  Serial.begin(115000);
  while (!Serial) {
  }
  Serial.println(F("Init I2C"));

  // join I2C bus
  Wire.begin();
  // Initialise the mpu6050. 
  mpu6050.initialize();

  if (mpu6050.testConnection()) {
    Serial.println(F("MPU6050 successful"));
    // For gyro we take 250°/sec, for the acc we use 2g
    mpu6050.setFullScaleGyroRange(MPU6050_GYRO_FS_250);
    mpu6050.setFullScaleAccelRange(MPU6050_ACCEL_FS_2);
  }
  else {
    Serial.println(F("MPU6050 failed"));
  }
}

char linedata[120];
int ax, ay, az;
#define GYRO_MESSAGE PSTR("GYRO: x=%i, y=%i, z=%i")
#define ACC_MESSAGE PSTR("ACC: x=%i, y=%i, z=%i")

/** main loop. **/
void loop() { 
  mpu6050.getRotation(&ax, &ay, &az);
  sprintf_P(linedata, GYRO_MESSAGE, ax, ay, az);
  
  Serial.println(linedata);

  mpu6050.getAcceleration(&ax, &ay, &az);
  sprintf_P(linedata, ACC_MESSAGE, ax, ay, az);

  Serial.println(linedata);
}

