// 74HC595 ST_CP Pin mit Arduino Pin  8
#define LATCH_PIN 8
// 74HC595 SH_CP Pin mit Arduino Pin 12
#define CLOCK_PIN 12
// 74HC595 DS Pin mit Arduino Pin 11
#define DATA_OUT_PIN 11
// oder 74HC165 DS Pin mit Arduino Pin 11
#define DATA_IN_PIN 11

void setup() {
  // Pins initialisieren
  pinMode(LATCH_PIN, OUTPUT);
  pinMode(CLOCK_PIN, OUTPUT);
  pinMode(DATA_OUT_PIN, OUTPUT);
  // nächste Zeile für 74HC165
  // pinMode(DATA_IN_PIN, INPUT_PULLUP);
}

void loop() {
  for (int j = 0; j <= 7; j++) {
    // SS Pin während der Übertragung auf Masse
    digitalWrite(LATCH_PIN, LOW);
    // Daten ausgeben
    shiftOut(DATA_OUT_PIN, CLOCK_PIN, LSBFIRST, 1 << j);
    // SS Pin wieder auf high, keine weiteren Daten
    digitalWrite(LATCH_PIN, HIGH);
    delay(1000);
  }

  // vom 74165 lesen
  // erst die Daten ins Register laden
  digitalWrite(LATCH_PIN, LOW);
  delayMicroseconds(5);
  digitalWrite(LATCH_PIN, HIGH);

  // und jetzt abholen
  byte value = shiftIn(DATA_IN_PIN, CLOCK_PIN, LSBFIRST);
}


uint8_t shiftIn(uint8_t dataPin, uint8_t clockPin, uint8_t bitOrder) {
  long bitVal;
  uint8_t value = 0;

  // all Bits vom seriellen Eingang lesen
  for (int i = 0; i < 8; i++)
  {
    if (bitOrder == LSBFIRST)
      value |= digitalRead(dataPin) << i;
    else
      value |= digitalRead(dataPin) << (7 - i);

    // Clocksignal erzeugen
    digitalWrite(clockPin, HIGH);
    delayMicroseconds(5);
    digitalWrite(clockPin, LOW);
  }

  return (value);
}

void shiftOut(uint8_t dataPin, uint8_t clockPin, uint8_t bitOrder, uint8_t val) {
  uint8_t i;

  for (i = 0; i < 8; i++)  {
    if (bitOrder == LSBFIRST)
      digitalWrite(dataPin, !!(val & (1 << i)));
    else
      digitalWrite(dataPin, !!(val & (1 << (7 - i))));

    digitalWrite(clockPin, HIGH);
    digitalWrite(clockPin, LOW);
  }
}
