#!/usr/bin/env python
import max7219.led as led
import time
import random
from datetime import datetime

# Ausgabe des aktuellen Datums
def date(device, deviceId):
    now = datetime.now()
    day = now.day
    month = now.month
    year = now.year - 2000
    print deviceId
    # Tag ausgeben
    device.letter(deviceId, 8, int(day / 10))
    device.letter(deviceId, 7, day % 10)
    device.letter(deviceId, 6, '.')
    # Monat ausgeben
    device.letter(deviceId, 5, int(month / 10))
    device.letter(deviceId, 4, month % 10)
    device.letter(deviceId, 3, '.')
    # Jahr ausgeben
    device.letter(deviceId, 2, int(year / 10))
    device.letter(deviceId, 1, year % 10)

# Ausgabe der aktuellen Uhrzeit
def clock(device, deviceId, seconds):
    for _ in xrange(seconds):
        now = datetime.now()
        hour = now.hour
        minute = now.minute
        second = now.second
		# blinkender Punkt
        dot = second % 2 == 0
        # Stunden anzeigen
        device.letter(deviceId, 4, int(hour / 10))
        device.letter(deviceId, 3, hour % 10, dot)
        # Minuten anzeigen
        device.letter(deviceId, 2, int(minute / 10))
        device.letter(deviceId, 1, minute % 10)
        time.sleep(1)

# Anzeige nach rechts herraus scrollen
def scroll(device):
    for _ in xrange(8):
        device.scroll_right()
        time.sleep(0.1)

# Es ist nur 1 Baustein angeschlossen
device = led.sevensegment(cascaded=1)

# Anzeige des aktuellen Datums
print ("showing date")
device.brightness(7)
device.clear(0)
date(device, 0)
time.sleep(10)
scroll(device)

# Anzeige der aktuellen Zeit
print("showing time")
device.clear(0)
clock(device, 0, seconds=10)
scroll(device)

# Anzeige von Nummern
print("showing negative numbers")
for x in range(-30, 128):
    device.clear(0)
    device.write_number(deviceId=0, value=x)
    time.sleep(0.05)

# Linksbündige Hex Nummern
print("showing hex numbers")
for x in range(0xfa909, 0xfab2a):
    device.write_number(deviceId=0, value=x, base=16, leftJustify=True)
    time.sleep(0.025)

# Aussschalten
device.clear(deviceId=0)
time.sleep(1)
