#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Example program to send packets to the radio link
#


import RPi.GPIO as GPIO
GPIO.setmode(GPIO.BCM)
from lib_nrf24 import NRF24
import time
import spidev


# Die beiden Addressen der beiden Kommunikationskanäle
pipes = [[0xe7, 0xe7, 0xe7, 0xe7, 0xe7], [0xc2, 0xc2, 0xc2, 0xc2, 0xc2]]

# NRF24 Objekt instanzieren
radio = NRF24(GPIO, spidev.SpiDev())
# CE ist GPIO 17
radio.begin(0, 17)
time.sleep(1)
# 15 Übertragungsversuche mit 15msec Verzögerung, 32 bytes Daten und Funkkanal 96
radio.setRetries(15,15)
radio.setPayloadSize(32)
radio.setChannel(0x60)

# 2 Mbps Übertragungsrate, minimale Ausgangsleistung,
# automatische Bestätigung.
radio.setDataRate(NRF24.BR_2MBPS)
radio.setPALevel(NRF24.PA_MIN)
radio.setAutoAck(True)
radio.enableDynamicPayloads()
radio.enableAckPayload()

# Jetzt den Kanal 1 zum Schreiben und den Kanal 0 zum Lesen öffnen
radio.openWritingPipe(pipes[1])
radio.openReadingPipe(1, pipes[0])
radio.printDetails()


c=1
while True:
    buf = ['H', 'E', 'L', 'O',c]
    c = (c + 1) & 255
    # Paket versenden
    radio.write(buf)
    print ("Sent:"),
    print (buf)
    # Gibt's ein Antwortpaket?
    if radio.isAckPayloadAvailable():
	    # Dann ausgeben
        pl_buffer=[]
        radio.read(pl_buffer, radio.getDynamicPayloadSize())
        print ("Received back:"),
        print (pl_buffer)
    else:
        print ("Received: Ack only, no payload")
    time.sleep(10)
