#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
# Robotik mit dem Raspberry Pi
# E.F.Engelhardt, Franzis Verlag, 2014
# -----------------------------------------------------------------------
# i2c_lib.py
# Schnellzugriffsfunktionen auf i2c-Bus
#
import smbus, os
from time import *

class i2c_device:
   @staticmethod
   def getPiRevision():
      try:
         f = open('/proc/cpuinfo','r') 
         for line in f:
              if line.startswith('Revision'):
               return 1 if line.rstrip()[-1] in ['1','2'] else 2
         f.close()
      except:
         return 0

   @staticmethod
   def getPiI2CBusNumber():
       # Gets the I2C bus number /dev/i2c#
       return 1 if i2c_device.getPiRevision() > 1 else 0

   def __init__(self, addr, port=-1):
      self.addr = addr
      print "i2c-Adresse-Geraet= ", hex(self.addr)
      print "i2c-Busnummer= ", i2c_device.getPiI2CBusNumber()
      print "Raspberry-Pi Revision=", i2c_device.getPiRevision()
      self.bus = smbus.SMBus(port if port >= 0 else i2c_device.getPiI2CBusNumber())
   
# Befehl an Adresse 
   def write_cmd(self, cmd):
      print "atrr", hex(self.addr)
      print "cmd", hex(cmd)
      self.bus.write_byte(self.addr, cmd)
      sleep(0.0001)
# Befehl und Wert an Adresse
   def write_cmd_arg(self, cmd, data):
      self.bus.write_byte_data(self.addr, cmd, data)
      sleep(0.0001)
# Datenblock schreiben
   def write_block_data(self, cmd, data):
      self.bus.write_block_data(self.addr, cmd, data)
      sleep(0.0001)
# Byte lesen 
   def read(self):
      return self.bus.read_byte(self.addr)
# Inhalt lesen
   def read_data(self, cmd):
      return self.bus.read_byte_data(self.addr, cmd)
# Datenblock auslesen
   def read_block_data(self, cmd):
      return self.bus.read_block_data(self.addr, cmd)
# --------------------------------------------------------------------------
